Deletes all resources of a PostScript document

- « ps_curveto

- ps_end_page »

- PHP Manual
- PS Functions
- Deletes all resources of a PostScript document

# ps_delete

(PECL ps >= 1.1.0)

ps_delete — Deletes all resources of a PostScript document

### Description

ps_delete(resource `$psdoc`): bool

Mainly frees memory used by the document. Also closes a file, if it was not closed before with ps_close(). You should in any case close the file with ps_close() before, because ps_close() not just closes the file but also outputs a trailor containing PostScript comments like the number of pages in the document and adding the bookmark hierarchy.

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- ps_close() - Closes a PostScript document